Bug 1252032 - TypeError: unsupported operand type(s) for -=: 'set' and 'map'
TypeError: unsupported operand type(s) for -=: 'set' and 'map'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
: 1252031 1252622 1252624 1252731 1252875 1253030 1253044 1253174 1253192 1253388 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 10:02 EDT by darrell pfeifer
Modified: 2015-08-19 03:51 EDT (History)
16 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.10-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:13:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description darrell pfeifer 2015-08-10 10:02:32 EDT
Description of problem:

# dnf update
Last metadata expiration check performed 0:38:22 ago on Mon Aug 10 06:18:36 2015.
Dependencies resolved.
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 193, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 146, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 168, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.4/site-packages/dnf/cli/cli.py", line 165, in do_transaction
    pkg_str = self.output.list_transaction(trans)
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 1024, in list_transaction
    for pkg in self._skipped_broken_deps(skipped_conflicts):
  File "/usr/lib/python3.4/site-packages/dnf/cli/output.py", line 947, in _skipped_broken_deps
    goal_diff -= skipped_conflicts
TypeError: unsupported operand type(s) for -=: 'set' and 'map'


Version-Release number of selected component (if applicable):

dnf.noarch                                             1.1.0-1.fc24   


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Fails with no arguments, but works with a specific one, as in

dnf update cups\*
Comment 1 Honza Silhan 2015-08-10 15:38:18 EDT
PR: https://github.com/rpm-software-management/dnf/pull/333
Comment 2 Honza Silhan 2015-08-11 10:42:45 EDT
*** Bug 1252031 has been marked as a duplicate of this bug. ***
Comment 3 Parag Nemade 2015-08-11 23:21:51 EDT
*** Bug 1252624 has been marked as a duplicate of this bug. ***
Comment 4 Parag Nemade 2015-08-11 23:23:19 EDT
*** Bug 1252622 has been marked as a duplicate of this bug. ***
Comment 5 Parag Nemade 2015-08-12 03:44:21 EDT
*** Bug 1252731 has been marked as a duplicate of this bug. ***
Comment 6 Parag Nemade 2015-08-12 08:35:25 EDT
*** Bug 1252875 has been marked as a duplicate of this bug. ***
Comment 7 Michael Schwendt 2015-08-12 08:41:11 EDT
With a better summary, one could have found this ticket -> avoiding duplicates!
Comment 8 Vinson Lee 2015-08-12 19:57:00 EDT
*** Bug 1253030 has been marked as a duplicate of this bug. ***
Comment 9 Parag Nemade 2015-08-12 22:48:29 EDT
*** Bug 1253044 has been marked as a duplicate of this bug. ***
Comment 10 Parag Nemade 2015-08-13 04:03:43 EDT
*** Bug 1253192 has been marked as a duplicate of this bug. ***
Comment 11 Fedora Update System 2015-08-13 04:17:05 EDT
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-2.fc22,hawkey-0.6.0-1.fc22
Comment 12 Fedora Update System 2015-08-13 04:17:12 EDT
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/FEDORA-2015-13289/dnf-plugins-core-0.1.10-1.fc23,dnf-1.1.0-2.fc23,hawkey-0.6.0-1.fc23
Comment 13 Honza Silhan 2015-08-13 04:43:25 EDT
*** Bug 1253174 has been marked as a duplicate of this bug. ***
Comment 14 Marius Vollmer 2015-08-13 04:52:22 EDT
Is the fix also coming to Rawhide?
Comment 15 Parag Nemade 2015-08-13 11:43:59 EDT
*** Bug 1253388 has been marked as a duplicate of this bug. ***
Comment 16 Parag Nemade 2015-08-13 11:46:12 EDT
Fix for rawhide is already available on koji and now released in today's rawhide.
Comment 17 Fedora Update System 2015-08-13 12:55:11 EDT
Package dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.10-1.fc22 hawkey-0.6.0-1.fc22 dnf-1.1.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13162/dnf-plugins-core-0.1.10-1.fc22,dnf-1.1.0-2.fc22,hawkey-0.6.0-1.fc22
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2015-08-14 22:13:55 EDT
dnf-plugins-core-0.1.10-1.fc22, hawkey-0.6.0-1.fc22, dnf-1.1.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-08-19 03:51:44 EDT
dnf-plugins-core-0.1.10-1.fc23, hawkey-0.6.0-1.fc23, dnf-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.